Bug 856741 - system-defined PowerUser is able to see all the VMs in the setup
system-defined PowerUser is able to see all the VMs in the setup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tim Hildred
ecs-bugs
infra
: Regression, Reopened
Depends On: 847781
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 13:41 EDT by Stephen Gordon
Modified: 2016-02-10 14:38 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 847781
Environment:
Last Closed: 2012-12-04 12:28:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Cheryn Tan 2012-09-19 04:41:45 EDT
Edited the definition of PowerUserRole:

 PowerUserRole 
- Can perform administrative tasks on virtual machines and templates, and manage user permissions on virtual machines and templates. Apply this role to a user for the whole environment with the Configure window, or for specific data centers or clusters.

Added a note explaining the differences between PowerUserRole in 3.0 and in 3.1:

 In Red Hat Enterprise Virtualization 3.0, the PowerUserRole only granted permissions for virtual machines which are directly assigned to the PowerUser, or virtual machines created by the PowerUser. Now, the VmCreator role provides privileges peviously conferred by the PowerUserRole. The PowerUserRole can now be applied on a system-wide level, or on specific data centers or clusters, and grants permissions to all virtual machines and templates within the system or specific resource. 

Oved or Miki, can you please review? Thank you.

Note You need to log in before you can comment on or make changes to this bug.